dofile("scripts/entities/entityinclude.lua")

leave = true

function init()
	if isFlag(FLAG_ENDING, ENDING_NAIJACAVE) then
		
		e1 = getNode("end1")
		e2 = getNode("end2")
		e3 = getNode("end3")
		e4 = getNode("end4")
		e5 = getNode("end5")
		e6 = getNode("end6")
		
		sn = getNode("spirit")
		
		overrideZoom(0.6)
		overrideZoom(0.7, 30)
		
		fade2(1, 0)
		
		spirit = createEntity("druniad", "", node_x(sn), node_y(sn))
		
		
		cam = createEntity("empty", "", node_x(e1), node_y(e1))
		cam_toEntity(cam)
		
		-- 1-2
		watch(0.5)
		entity_setPosition(cam, node_x(e2), node_y(e2), 8, 0, 0, 1)
		
		fade2(0, 3)
		fadeIn(0)
		watch(5)
		fade2(1, 3)
		watch(3)
		
		entity_animate(spirit, "pet", -1)
		
		-- 3-4
		overrideZoom(0.9)
		overrideZoom(0.8, 20)
		
		entity_warpToNode(cam, e3)
		watch(0.5)
		entity_setPosition(cam, node_x(e4), node_y(e4), 8, 0, 0, 1)
		
		fade2(0, 3)
		watch(5)
		fade2(1, 3)
		watch(3)
		
		-- 5-6
		overrideZoom(0.75)
		overrideZoom(0.5, 20)
		
		entity_warpToNode(cam, e5)
		watch(0.5)
		entity_setPosition(cam, node_x(e6), node_y(e6), 5, 0, 0, 1)
		
		fade2(0, 3)
		watch(5)
		
		watch(3)
		
		fade2(1, 3)
		watch(3)
		
		overrideZoom(0)
		
		if leave then
			loadMap("vedhacave")
		else
			watch(1)
			fade2(0, 0)
			cam_toEntity(getNaija())
		end
		
		
		--fade2(0,4)
		
		--loadMap("energytemple")
	end
end
